Package ru.bitel.bgbilling.modules.softline.common.bean

# Enum Class SoftLineSubscriptionStatus

java.lang.Object
java.lang.Enum<SoftLineSubscriptionStatus>
ru.bitel.bgbilling.modules.softline.common.bean.SoftLineSubscriptionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<SoftLineSubscriptionStatus>`, `Constable`, `GuiTitlable`

public enum SoftLineSubscriptionStatus extends Enum<SoftLineSubscriptionStatus> implements GuiTitlable
Статус/состоние подписки в системе SoftLine

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  `SUSPEND`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `String`
  `getDescription()`
  `static String`
  `getDescription(int code)`
  `static SoftLineSubscriptionStatus`
  `getDescription(String value)`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `String`
  `getStatus()`
  `static SoftLineSubscriptionStatus`
  `valueOf(int code)`
  Returns the enum constant of this class with the specified name.
  `static SoftLineSubscriptionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SoftLineSubscriptionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACTIVE

    public static final SoftLineSubscriptionStatus ACTIVE

  - ### SUSPEND

    public static final SoftLineSubscriptionStatus SUSPEND

- ## Method Details

  - ### values

    public static SoftLineSubscriptionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SoftLineSubscriptionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getStatus

    public String getStatus()

  - ### getDescription

    public String getDescription()

  - ### getDescription

    public static SoftLineSubscriptionStatus getDescription(String value)

  - ### getDescription

    public static String getDescription(int code)

  - ### valueOf

    public static SoftLineSubscriptionStatus valueOf(int code)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `code` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.